using IRaCIS.Application.Contracts;

namespace IRaCIS.Application.Interfaces
{
    public interface IDoctorAccountService
    {
        IResponseOutput Register(DoctorAccountRegisterModel doctorAccount);
        DoctorAccountDTO Login(DoctorAccountLoginDTO doctorAccount);
        IResponseOutput UpdatePassword(DoctorAccountUpdatePasswordCommand doctorAccount);
    }
}
